> ## Documentation Index
> Fetch the complete documentation index at: https://docs.storeindexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /stores/{company_id}/{store_id}

> Get a single store by company_id and store_id.



## OpenAPI

````yaml https://api.storeindexer.com/openapi.json get /stores/{company_id}/{store_id}
openapi: 3.1.0
info:
  title: Store Indexer API
  description: Store Indexer API
  version: 0.1.0
servers:
  - url: https://api.storeindexer.com/
    description: Store Indexer API
security: []
paths:
  /stores/{company_id}/{store_id}:
    get:
      tags:
        - Stores
      summary: /stores/{company_id}/{store_id}
      description: Get a single store by company_id and store_id.
      operationId: query_one_store_route_stores__company_id___store_id__get
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            title: Company Id
        - name: store_id
          in: path
          required: true
          schema:
            type: string
            title: Store Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Store'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Store:
      properties:
        store_id:
          type: string
          title: Store Id
        company_id:
          type: string
          title: Company Id
        parent_company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Company Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address_1:
          type: string
          title: Address 1
        address_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address 2
        city:
          type: string
          title: City
        province:
          anyOf:
            - type: string
            - type: 'null'
          title: Province
        country:
          type: string
          title: Country
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        is_open:
          type: boolean
          title: Is Open
          default: true
        latitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Longitude
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - store_id
        - company_id
        - address_1
        - city
        - country
      title: Store
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````